--
-- Attempt to load an image in a separate thread
--

function love.load()
	image = nil
	thread = love.thread.newThread("load", "load.lua")
	thread:start()
	thread:send("path", "image.png")
end

function love.draw()
	if image then
		love.graphics.draw(image, 0, 0)
	end
end

function love.update(dt)
	local receive = thread:receive("image")
	local error = thread:receive("error")

	if receive then
		image = receive
	elseif error then
		print(error)
	end
end
